Plugin Name: Custom Sidebars Pro
Author: Javier Marquez (Incsub), Philipp Stracker (Incsub), Marcin Pietrzak (Incsub)
Buildtime: 2019-03-29T07:50:53.527Z

Change Log:
----------------------------------------------------------------------

3.2.3 ( 2018-03-29 )
----------------------------------------------------------------------
- Added "custom_sidebars_allowed_pages_array" filter to allow pages where Custom Sidebars can be loaded.
- Fixed problem with double function declaration when Gutenberg is in use.
- Removed "Sidebar Location" from build-in/theme sidebars to avoid misunderstandings.
- Updated "WPMU Dev code library" to version 3.1.0.

3.2.2 ( 2018-10-25 )
----------------------------------------------------------------------
- Fixed a unclosed A tag.

3.2.1 ( 2018-08-22 )
----------------------------------------------------------------------
- Fixed a problem with sidebar replacement on front page.

3.2.0 ( 2018-08-13 )
----------------------------------------------------------------------
- Added ability show/hide widgets depend on screen size, using CSS media queries.
- Added integration with "WP Multilang" - now you can choose a sidebar to depend on "WP Multilang" language.
- Allow using categories and tags for pages.
- Improved plugin initialization now, plugin classes are loaded only on necessary admin pages.
- Improved UX for Custom Sidebars Metabox on special pages: "Front Page", "Blog Page" and "WooCommerce Shop Page".
- Updated "WPMU Dev code library" to version 3.0.9.

3.1.6 ( 2018-05-28 )
----------------------------------------------------------------------
- Fixed an export problem on PHP 5.2, json_encode() have only one parameter.

3.1.5 ( 2018-05-14 )
----------------------------------------------------------------------
- Fixed a problem with saving an entry sidebars replacement.
- Added ability to allow change sidebars by an entry author.

3.1.4 ( 2018-05-02 )
----------------------------------------------------------------------
- Fixed a problem with widgets display on IE11.
- Handle custom taxonomies.
- Updated "WPMU Dev code library" to version 3.0.6.

3.1.3 ( 2018-03-21 )
- Added version to scripts, to avoid browser cache problem.
- Fixed problems with widgets alignment on mobiles.
- Improved custom sidebar edit modal, now it remembers "Advanced Edit" status.
- Load JavaScript templates only on the widgets page.

3.1.2 ( 2018-02-09 )
----------------------------------------------------------------------
- Added integration with Polylang - now you can choose sidebar to depend on Polylang language.
- Added integration with WPML - now you can choose sidebar to depend on WPML language.
- Added check to avoid warning when a user deletes term which is assigned to "Sidebar Location".
- Updated "WPMU Dev code library" to version 3.0.5.

3.1.1 ( 2017-11-07 )
----------------------------------------------------------------------
- Improved assets directories.
- Improved widgets on very small screens.
- Fixed bulk edit problem with resetting sidebars.
- Fixed few notices on import screen.

3.1.0 ( 2017-10-04 )
----------------------------------------------------------------------
- Added a quick and a bulk edit to custom post types.
- Added nonce check for set location, import & export actions to avoid CSRF vulnerability.
- Fixed a problem with getting sidebars settings for nested pages with more than 2 levels.
- Fixed a problem with widget visibility on taxonomy archive page.
- Fixed a typo on Import/Export screen.

3.0.9 ( 2017-07-03 )
----------------------------------------------------------------------
- Added ability to turn off "Custom Sidebars" for certain roles.
- Fixed a problem with a category, category archive, and post in category replacement.
- Fixed a problem with removed "Category Archive" from "For Archives" options.
- Fixed build in taxonomies problem on "Sidebar Location" edit window.

3.0.8.1 ( 2017-06-29 )
----------------------------------------------------------------------
- Fixed CSRF vulnerability. Props for [qasuar](https://wordpress.org/support/users/qasuar/)

3.0.8 ( 2017-06-08 )
----------------------------------------------------------------------
- Added bulk sidebars edit.
- Fixed category archive and entry in category replaceable.
- Visibility of "Custom Explain" link is limited only to front-end.

3.0.7.1 ( 2017-05-25 )
----------------------------------------------------------------------
- Fixed visibility of Custom Explain - now it is visible only for administrators.

3.0.7 ( 2017-05-25 )
----------------------------------------------------------------------
- Added ability to replace sidebars for category archive.
- Added ability to replace sidebars for custom taxonomy archive.
- Added ability to turn on Custom Sidebars Explain mode from Admin Bar.
- Fixed a replacement problem on 404 pages.
- Improved "Sidebar Location" popup - added a message when we do not have any replaceable sidebar.
- Refactored "Column Sidebars" on post list screen.

3.0.6 ( 2017-05-11 )
----------------------------------------------------------------------
- Added width to "Custom Sidebars" column on entries list screen to avoid uncontrolled column width.
- Added ability to add new sidebar using the only keyboard, after you fill name just push enter to move to the description field. Hit enter on description field to add a new sidebar.
- Fixed "WPMUDEV Frash" message for pro version.

3.0.5 ( 2017-04-25 )
----------------------------------------------------------------------
- Improved columns display on post list screen - now "Custom Sidebars" column is hidden by default.
- Prevent to load assets on front-end.
- Updated "WPMU Dev code library" to version 3.0.4.
- Fixed a CSS glitch on media library.
- Fixed a JavaScript conflicting with CiviCRM plugin.
- Fixed a problem with taxonomies.

3.0.4 ( 2017-04-11 )
----------------------------------------------------------------------
- Improved "Create a custom sidebar to get started." box.
- Upgraded "WPMU Dev code library" to version 3.0.3.
- Fixed a problem with empty taxonomies, now we can see all taxonomies, including empty.
- Fixed fetching posts.
- Fixed a problem on the Customizer page - removed clone option.
- Fixed Widgets Screen for Right to Left languages.

3.0.3 ( 2017-03-22 )
----------------------------------------------------------------------
- Removed WP Checkup banner.

3.0.2 ( 2017-03-21 )
----------------------------------------------------------------------
- Fixed compatibility issue with uBlock Origin and AdBlock Plus.
- Fixed getting started box not appearing.

3.0.1.0 ( 2017-03-20 )
----------------------------------------------------------------------
- Added the "Create custom sidebar to get started." box.
- Fixed a problem with link to disable accessibility mode.
- Fixed UX problem with "plus" icon on visibility options.
- Show advertising for "WP Checkup" in whole admin area (only free version).

3.0.0.1 ( 2017-03-08 )
----------------------------------------------------------------------
- Fixed a problem with wp_enqueue_script wich was called too early.
- Fixed a problem with advertising, which should stay close when you close it.

3.0.0 ( 2017-03-06 )
----------------------------------------------------------------------
- Fixed a conflicting with other plugins.
- Improved functionality, free and pro versions have now the same functionality. The only difference is that the free version includes advertising (only WordPress admin area).

2.1.2.0 ( 2017-02-06 )
----------------------------------------------------------------------
- Fixed a problem with empty selectors.
- Remove unnecessary HTTP header - it is only needed when we run cs-explains.
- Update Dash notice.

2.1.1.9 ( 2016-12-29 )
----------------------------------------------------------------------
- Fixed export problem, when two or more widget has the same name.
- Fixed problem with import widgets created before Custom Sidebars plugin was installed.
- Fixed problem with sidebars on Front Page.

2.1.1.8 ( 2016-12-27 )
----------------------------------------------------------------------
- Added support and widgets links on the plugins page.
- Fixed few "Undefined index" warnings.
- Improved import preview screen.
- Improved RTL languages on widgets screen.

2.1.1.7 ( 2016-11-23 )
----------------------------------------------------------------------
- Rollback last change with front page.

2.1.1.6 ( 2016-11-21 )
----------------------------------------------------------------------
- Fixed a bug when we try to use to get property of non-object in "maybe_display_widget()".
- If the front page is a page, then we have now the same rules like we have on a page.

2.1.1.5 ( 2016-11-07 )
----------------------------------------------------------------------
- Added new filter "cs_replace_post_type" to filter post type inside function "determine_replacement()".

2.1.1.4 ( 2016-10-24 )
----------------------------------------------------------------------
- Fixed problem with sorting and filtering.

2.1.1.3 ( 2016-10-13 )
----------------------------------------------------------------------
- Added check if there the function "mb_strtolower".

2.1.1.2 ( 2016-10-10 )
----------------------------------------------------------------------
- Sidebars are now sorted by name.

2.1.1.1 ( 2016-09-26 )
----------------------------------------------------------------------
- Fixed a problem with unclickable items on widgets admin screen.

2.1.1.0
----------------------------------------------------------------------
- Fixed undefined index in Sidebars Editor.

2.1.0.9
----------------------------------------------------------------------
- Fixed issue with broken link icon for cloned widgets.

2.1.0.8
----------------------------------------------------------------------
- Minor improvements in the admin UI: Better scrolling, fix JavaScript errors and PHP notices.
- Fix a bug that prevented Widget-Visibility options to work.
- Update third party libraries.

2.1.0.7
----------------------------------------------------------------------
- Fix PHP warning about "Missing argument 2 for apply_filters()"

2.1.0.6
----------------------------------------------------------------------
- Fix a bug introduced in last update that prevented creation of custom sidebars

2.1.0.5
----------------------------------------------------------------------
- Add integration for Membership2

2.1.0.4
----------------------------------------------------------------------
- Fix php notices/error in the Sidebar-Cloning module
- Fix missing text-domain in translation

2.1.0.3
----------------------------------------------------------------------
- Add new Widget-Visibility option: Guests only

2.1.0.2
----------------------------------------------------------------------
- Close possible security hole (XSS vulnerability)

2.1.0.1
----------------------------------------------------------------------
- Fix incompatibility with PopUp plugin

2.1.0.0
----------------------------------------------------------------------
- Fixed: Sidebars could not be created on certain webserver setups.

2.0.9.9
----------------------------------------------------------------------
- Fixed: Plugin will install to the correct folder.
- Fixed: Minified CSS files included now.

2.0.9.8
----------------------------------------------------------------------
- Fix: Membership levels are recognized correctly by Visibility module.
- Fix: Export function now works in all browsers.
- Better: Add context-guide how to changes settings for static front-page.
- Better: Improve layout of Custom Sidebars column in posts-list on small screens.

2.0.9.7
----------------------------------------------------------------------
- New: WPML support to translate name/description of custom- and theme-sidebars!
- New: A column in the post-list shows the assigned custom sidebars.
- New: Assign Custom Sidebars to a post via the Quick-Edit form.
- New: Assign a Sidebar to a specific Author via the Sidebar Location dialog.
- New: Assign a Sidebar to 404 pages via the Sidebar Location dialog.
- New: Sidebars can be sorted and filtered by title.
- Improved loading performance of the Widgets screen.

2.0.9.6
----------------------------------------------------------------------
- Fix: When adding new widgets they are not linked anymore (not "clones")
- Fix: In some browsers the "Add sidebar" popup was partially hidden.
- Fix: Sometimes the dropdown list of a multiselect list stayed open.
- Fix: Plugin now correctly loads the .po files to translate to other languages.
- Some other small improvements.

2.0.9.5
----------------------------------------------------------------------
- Fix: PHP error "WDev" undefined that appeared in 2.0.9.4

2.0.9.4
----------------------------------------------------------------------
- Fix: For some users the plugin was not loading anymore after updating to 2.0.9.1.

2.0.9.3
----------------------------------------------------------------------
- Fix: Z-index issue in Dashboard where wide widgets where covered by the main-menu.
- Fix: Added compatibility for static front-page sidebars with version 2.0.9

2.0.9.2
----------------------------------------------------------------------
- Fix: Sidebar Locations "Front Page" and "Post Index" now work correctly.

2.0.9.1
----------------------------------------------------------------------
- Fix: Sidebars now support unicode-text in name/description.
- Minor: New debugging output that explains why a sidebar/widget is displayed.

2.0.9
----------------------------------------------------------------------
- Fix: Fixed issue with WP sidebar chooser right after creating a new sidebar.
- Fix: Fixed various issues when flagging a sidebar s replaceable.
- Fix: Plugin will not load in accessibility mode but display a notice instead.
- Minor fix: Make code compatible with PHP 5.2.4
- Minor fix: Slight improvement of AJAX stability
- Minor fix: Plugin now requires capability "edit_theme_options"

2.0.8
----------------------------------------------------------------------
- Fix: Fixed issue with settings not being saved correctly.

2.0.7
----------------------------------------------------------------------
- Fix: Fixed issue with some people losing some sidebar settings after update.

2.0.6.1
----------------------------------------------------------------------
- Minor fix: Use WordPress core functions to get URL to JavaScript files.
- Minor fix: Refactor function name to avoid misunderstandings.

2.0.6
----------------------------------------------------------------------
- Fixed: Widgets that are registered via old API no longer break the page (again).
- Fixed: After importing data the widgets page is reloaded to show new sidebars.
- Fixed: Warnings by BuddyPress about using bp_current_user too early.

2.0.5
----------------------------------------------------------------------
- Fixed: Meta box in post editor did show missing sidebars (e.g. after switching the theme)
- Fixed: PHP warning about strict standards.

2.0.4
----------------------------------------------------------------------
- Fixed: Widgets that are registered via old API no longer break the page.

2.0.3
----------------------------------------------------------------------
- Fixed: JavaScript errors on Windows servers are fixed.

2.0.2
----------------------------------------------------------------------
- Fixed: Dashboard notification is now removed when clicking "dismiss"

2.0.1
----------------------------------------------------------------------
- PHP 5.2 compatibility update.

2.0
----------------------------------------------------------------------
- Complete UI redesign.
- Update to Pro version.
- Pro: Import/export sidebars and widgets.
- Pro: Define widget visibility options.
- Pro: Widget cloning.
- Many small bug fixes.

1.5
----------------------------------------------------------------------
- Added: Custom sidebars now works with BuddyPress pages.

1.4
----------------------------------------------------------------------
- Fixed: Individual post sidebar selection when default sidebars for single posts are defined
- Fixed: Category sidebars sorting
- Added: WP 3.8 new admin design (MP6) support

1.3.1
----------------------------------------------------------------------
- Fixed: Absolute paths that leaded to the outdated browser error
- Fixed: Stripped slashes for the pre/post widget/title fields

1.3
----------------------------------------------------------------------
- Fixed: A lot of warnings with the PHP debug mode on
- Improved: Styles to make them compatible with WP 3.6
- Fixed: Creation of sidebars from the custom sidebars option
- Fixed: Missing loading icons in the admin area
- Removed: Donate banner. Thanks to the ones that have be supporting Custom Sidebar so far.

1.2
----------------------------------------------------------------------
- Fixed: Searches with no results shows default sidebar.
- Added: RTL support (thanks to Dvir http://foxy.co.il/blog/)
- Improved: Minor enhancements in the interface to adapt it to wp3.
- Added: French and Hebrew translations
- Fixed: Slashes are added to the attributes of before and after title/widget

1.1
----------------------------------------------------------------------
- Fixed: Where lightbox not showing for everybody (Thanks to Robert Utnehmer)
- Added: Default sidebar for search results pages
- Added: Default sidebar for date archives
- Added: Default sidebar for Uncategorized posts

1.0
----------------------------------------------------------------------
- Fixed: Special characters make sidebars undeletable
- Added: Child/parent pages support
- Improved interface to handle hundreds of sidebars easily
- Added: Ajax support for creating an editing sidebars from the widget page
- Added: Italian translation

0.8.2
----------------------------------------------------------------------
- Fixed: Problems with Spanish translation
- Added: Dutch and German language files
- Fixed: Some CSS issues with WP3.3

0.8.1
----------------------------------------------------------------------
- Fixed: You can assign sidebars to your pages again.

0.8
----------------------------------------------------------------------
- Fixed: Category hierarchy is now handled properly by the custom sidebars plugin.
- Added: Sidebars can be set for every custom post type post individually.
- Improved the way it replace the sidebars.
- Improved some text and messages in the back-end.

0.7.1
----------------------------------------------------------------------
- Fixed: Now the plugin works with themes like Thesis that don't use the the_header hook. Changed the hook where execute the replacement code to wp_head.
- Fixed: When a second sidebar is replaced with the originally first sidebar, it is replaced by the first sidebar replacement instead.

0.7
----------------------------------------------------------------------
- Fixed: Bulk and Quick editing posts and pages reset their custom sidebars.
- Changed capability needed to switch_themes, and improved capability management.

0.6
----------------------------------------------------------------------
- New interface, more user friendly
- Added the possibility of customize the main blog page sidebars
- Added the sidebars by category, so now you can personalize all the post that belongs to a category easily in a hierarchical way
- Added the possibility of customize the authors page sidebars
- Added the possibility of customize the tags page sidebars
- Added, now it is possible to edit the sidebars names, as well as the pre-widget, post-widget, pre-title, post-title for a sidebar.
- Added the possibility of customize the sidebars of posts list by category or post-type.

0.5
----------------------------------------------------------------------
- Fixed a bug that didn't allow to create new bars when every previous bars were deleted.
- Fixed a bug introduced in v0.4 that did not allow to assign bars per post-types properly
- Added an option to remove all the Custom Sidebars data from the database easily.

0.4
----------------------------------------------------------------------
- Empty sidebars will now be shown as empty, instead of displaying the theme's default sidebar.

0.3
----------------------------------------------------------------------
- PHP 4 Compatible (Thanks to Kay Larmer)
- Fixed a bug introduced in v0.2 that did not allow to save the replaceable bars options

0.2
----------------------------------------------------------------------
- Improved security by adding wp_nonces to the forms.
- Added the pt-widget post type to the ignored post types.
- Improved i18n files.
- Fixed screenshots for documentation.

0.1
----------------------------------------------------------------------
- Initial release


539341-1553855583